# DataExchange
TKSTEP
StepToGeom

# StepToGeom_Root Class Reference

This class implements the common services for
all classes of StepToGeom which report error.
.

`#include <StepToGeom_Root.hxx>`

Inheritance diagram for StepToGeom_Root:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT Standard_Boolean | IsDone () const

## Protected Attributes

Standard_Boolean | done

## Member Function Documentation

Standard_EXPORT Standard_Boolean StepToGeom_Root::IsDone | ( |  | ) | const

void StepToGeom_Root::operator delete | ( | void * | anAddress | ) | `[inline]`

Reimplemented in StepToGeom_MakeAxis1Placement, StepToGeom_MakeAxis2Placement, StepToGeom_MakeAxisPlacement, StepToGeom_MakeBoundedCurve, StepToGeom_MakeBoundedCurve2d, StepToGeom_MakeBoundedSurface, StepToGeom_MakeBSplineCurve, StepToGeom_MakeBSplineCurve2d, StepToGeom_MakeBSplineSurface, StepToGeom_MakeCartesianPoint, StepToGeom_MakeCartesianPoint2d, StepToGeom_MakeCircle, StepToGeom_MakeCircle2d, StepToGeom_MakeConic, StepToGeom_MakeConic2d, StepToGeom_MakeConicalSurface, StepToGeom_MakeCurve, StepToGeom_MakeCurve2d, StepToGeom_MakeCylindricalSurface, StepToGeom_MakeDirection, StepToGeom_MakeDirection2d, StepToGeom_MakeElementarySurface, StepToGeom_MakeEllipse, StepToGeom_MakeEllipse2d, StepToGeom_MakeHyperbola, StepToGeom_MakeHyperbola2d, StepToGeom_MakeLine, StepToGeom_MakeLine2d, StepToGeom_MakeParabola, StepToGeom_MakeParabola2d, StepToGeom_MakePlane, StepToGeom_MakePolyline, StepToGeom_MakePolyline2d, StepToGeom_MakeRectangularTrimmedSurface, StepToGeom_MakeSphericalSurface, StepToGeom_MakeSurface, StepToGeom_MakeSurfaceOfLinearExtrusion, StepToGeom_MakeSurfaceOfRevolution, StepToGeom_MakeSweptSurface, StepToGeom_MakeToroidalSurface, StepToGeom_MakeTransformation2d, StepToGeom_MakeTransformation3d, StepToGeom_MakeTrimmedCurve, StepToGeom_MakeTrimmedCurve2d, StepToGeom_MakeVectorWithMagnitude, and StepToGeom_MakeVectorWithMagnitude2d.

void* StepToGeom_Root::operator new | ( | size_t | size | ) | `[inline]`

Reimplemented in StepToGeom_MakeAxis1Placement, StepToGeom_MakeAxis2Placement, StepToGeom_MakeAxisPlacement, StepToGeom_MakeBoundedCurve, StepToGeom_MakeBoundedCurve2d, StepToGeom_MakeBoundedSurface, StepToGeom_MakeBSplineCurve, StepToGeom_MakeBSplineCurve2d, StepToGeom_MakeBSplineSurface, StepToGeom_MakeCartesianPoint, StepToGeom_MakeCartesianPoint2d, StepToGeom_MakeCircle, StepToGeom_MakeCircle2d, StepToGeom_MakeConic, StepToGeom_MakeConic2d, StepToGeom_MakeConicalSurface, StepToGeom_MakeCurve, StepToGeom_MakeCurve2d, StepToGeom_MakeCylindricalSurface, StepToGeom_MakeDirection, StepToGeom_MakeDirection2d, StepToGeom_MakeElementarySurface, StepToGeom_MakeEllipse, StepToGeom_MakeEllipse2d, StepToGeom_MakeHyperbola, StepToGeom_MakeHyperbola2d, StepToGeom_MakeLine, StepToGeom_MakeLine2d, StepToGeom_MakeParabola, StepToGeom_MakeParabola2d, StepToGeom_MakePlane, StepToGeom_MakePolyline, StepToGeom_MakePolyline2d, StepToGeom_MakeRectangularTrimmedSurface, StepToGeom_MakeSphericalSurface, StepToGeom_MakeSurface, StepToGeom_MakeSurfaceOfLinearExtrusion, StepToGeom_MakeSurfaceOfRevolution, StepToGeom_MakeSweptSurface, StepToGeom_MakeToroidalSurface, StepToGeom_MakeTransformation2d, StepToGeom_MakeTransformation3d, StepToGeom_MakeTrimmedCurve, StepToGeom_MakeTrimmedCurve2d, StepToGeom_MakeVectorWithMagnitude, and StepToGeom_MakeVectorWithMagnitude2d.

void* StepToGeom_Root::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Reimplemented in StepToGeom_MakeAxis1Placement, StepToGeom_MakeAxis2Placement, StepToGeom_MakeAxisPlacement, StepToGeom_MakeBoundedCurve, StepToGeom_MakeBoundedCurve2d, StepToGeom_MakeBoundedSurface, StepToGeom_MakeBSplineCurve, StepToGeom_MakeBSplineCurve2d, StepToGeom_MakeBSplineSurface, StepToGeom_MakeCartesianPoint, StepToGeom_MakeCartesianPoint2d, StepToGeom_MakeCircle, StepToGeom_MakeCircle2d, StepToGeom_MakeConic, StepToGeom_MakeConic2d, StepToGeom_MakeConicalSurface, StepToGeom_MakeCurve, StepToGeom_MakeCurve2d, StepToGeom_MakeCylindricalSurface, StepToGeom_MakeDirection, StepToGeom_MakeDirection2d, StepToGeom_MakeElementarySurface, StepToGeom_MakeEllipse, StepToGeom_MakeEllipse2d, StepToGeom_MakeHyperbola, StepToGeom_MakeHyperbola2d, StepToGeom_MakeLine, StepToGeom_MakeLine2d, StepToGeom_MakeParabola, StepToGeom_MakeParabola2d, StepToGeom_MakePlane, StepToGeom_MakePolyline, StepToGeom_MakePolyline2d, StepToGeom_MakeRectangularTrimmedSurface, StepToGeom_MakeSphericalSurface, StepToGeom_MakeSurface, StepToGeom_MakeSurfaceOfLinearExtrusion, StepToGeom_MakeSurfaceOfRevolution, StepToGeom_MakeSweptSurface, StepToGeom_MakeToroidalSurface, StepToGeom_MakeTransformation2d, StepToGeom_MakeTransformation3d, StepToGeom_MakeTrimmedCurve, StepToGeom_MakeTrimmedCurve2d, StepToGeom_MakeVectorWithMagnitude, and StepToGeom_MakeVectorWithMagnitude2d.

## Field Documentation

Standard_Boolean StepToGeom_Root::done `[protected]`

The documentation for this class was generated from the following file:

- StepToGeom_Root.hxx